

body {
  width: 100%;
  height: 1000px;
background-color:  lightgrey;
  line-height: 1.5;

}

header {
  display: flex;
  justify-content: center;
  align-content: center;
  width: 100%;
  text-align: center;
padding: 1%;
  font-size: 40px;
  color: aliceblue;
  background-color:  #010813;
  border-bottom-left-radius: 20%;
  border-bottom-right-radius: 20%

}
.nav{
  display: flex;
  justify-content: center;
  width: 10%;
margin-top: -2%;
font-size: 40px;
 color: aliceblue;
 background-image: linear-gradient( #010813, #004d7a, #010813);
  border-bottom-left-radius: 50%;
  border-bottom-right-radius: 50%;

}
.topnav{
  display: flex;
  justify-content: center;
  justify-content: space-around;
  border-top: 1px solid black;
  background-color: #010813;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  padding: 15px;
}


aside {
  background-image: linear-gradient(to bottom, #010813 50%, #004d7a, #008793);
 height: 1600px;
}

.menu {
display: flex;
flex-direction: column;
width: 100%;
background-color:rgba(0, 0, 255, 0.5);


}


#form {
 background-image: linear-gradient(to bottom , #010813 70%, #004d7a, #008793 );
border-radius: 10%;
padding: 3%;
color: white;
height: 800px;


}
#formedit {
  background-image: linear-gradient(to bottom , #010813 70%, #004d7a, #008793 );
 border-radius: 10%;
 padding: 3%;
 color: white;
 height: 800px;
 }


 #formedit button {
  display: flex;
  align-items: center;
  width: 300px;
  margin-top: 10%;
height: 80px;
font-size: 35px;
padding: 4%;
margin-left: 22%;
}

#article_content{
  width: 100%;
  height: 300px;
}
#article_title{

width: 300px;

}
#article_descriptions{

  width: 500px;
  
  }

#article_author{
  width: 150px;
}

#form button {
  display: flex;
  align-items: center;
  width: 300px;
  margin-top: 10%;
height: 80px;
font-size: 35px;
padding: 4%;
margin-left: 30%;
}

#content {
  background-image: linear-gradient(to bottom , #010813 70%, #004d7a, #008793 );
 padding: 3%;
 color: white;
 
 }

h2{
  text-align: center;
  font-size: 48px;
  background-color: #004d7a;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  background-clip: text;
  color: transparent;
  text-shadow: #010813 1px 1px 1px;
} 

h1{

  background-color: #004d7a;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    background-clip: text;
    color: transparent;
    text-shadow: #010813 1px 1px 1px;
    
}

.btn-outline-primary{
  display: flex;
  justify-content: center;
  color: aliceblue;
  width: 30%;
}

.remove{
color: red;
background-color: transparent;
border:2px solid  #010813;

}
.remove:hover{
  color: red;
  background-color: #010813;
  border:2px solid  #010813;

  }
.edit{
color: black;
background-color: transparent;
border:2px solid  #010813;
}

.edit:hover{
  background-color: #010813;
  border:2px solid #010813;
}

.contents {
  display: flex;
  justify-items: center;
  align-items: center;
  padding: 1em;
  display: inline-block;
  border:2px solid black;

}

.card {
  border: 2px solid #001242;
  border-radius: 10px;
  padding: 1rem;
  margin: 2rem;
  background-image: linear-gradient(to bottom left, #010813 70%, #004d7a, #008793 );
color: aliceblue;
}



footer {
  width: 100%;
  position: absolute;
  text-align: center;
  font-size: 20px;
  background-color: #001242;
}



.fa-home{

font-size: 30px;
}

 .fas{
  font-size: 25px;

 }
 



ul , li {
  margin: 0;
  padding: 0;
}

.ringMenu ul {
  list-style: none;
  position: relative;
  width: 100px;
  color: white;
}
.ringMenu ul a {
  color: white;
}
.ringMenu ul li {
  -webkit-transition: all 0.3s ease-in-out;
  -moz-transition: all 0.3s ease-in-out;
  -o-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
.ringMenu ul li a {
  display: block;
  width: 100px;
  height: 100px;
  background: transparent;
  text-align: center;
  line-height: 100px;
  -webkit-border-radius: 50px;
  -moz-border-radius: 50px;
  border-radius: 50px;
}
.ringMenu ul li a:hover {
  background: rgba(101, 20, 230, 0.7);
}

.ringMenu ul li:not(.main) {
  -webkit-transform: rotate(-180deg) scale(0);
  -moz-transform: rotate(-180deg) scale(0);
  -o-transform: rotate(-180deg) scale(0);
  transform: rotate(-180deg) scale(0);
  opacity: 0;
}
.ringMenu:hover ul li {
  -webkit-transform: rotate(0) scale(1);
  -moz-transform: rotate(0) scale(1);
  -o-transform: rotate(0) scale(1);
  transform: rotate(0) scale(1);
  opacity: 1;
}

.ringMenu.a:not(.main) {
  -webkit-transform: rotate(-180deg) scale(0);
  -moz-transform: rotate(-180deg) scale(0);
  -o-transform: rotate(-180deg) scale(0);
  transform: rotate(-180deg) scale(0);
  
  opacity: 0;
}




#search{
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  transition: all 1s;
  width: 50px;
  height: 50px;
  background: white;
  box-sizing: border-box;
  border-radius: 25px;
  border: 4px solid white;
  padding: 5px;
}

#search input{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;;
  height: 42.5px;
  line-height: 30px;
  outline: 0;
  border: 0;
  display: none;
  font-size: 1em;
  border-radius: 20px;
  padding: 0 20px;
}

.fa-search{
  display: none;
  box-sizing: border-box;
  padding: 10px;
  width: 42.5px;
  height: 42.5px;
  position: absolute;
  top: 0;
  right: 0;
  border-radius: 50%;
  color: #07051a;
  text-align: center;
  font-size: 1.2em;
  transition: all 1s;

}

#search:hover{
  width: 200px;
  cursor: pointer;
}

#search:hover input{
  display: block;
}

#search:hover .fa{
  background: #07051a;
  color: white;
}

.carousel-caption{
  background-image: linear-gradient(to top , black 0%, black, transparent );
left:0;
bottom: 0;
width: 100%;
  text-shadow: #010813 1px 1px 1px;

}